Bug 1283208 - KieServerClient JSON marshaling does not work for QueryResults and FactHandles
KieServerClient JSON marshaling does not work for QueryResults and FactHandles
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: CR2
: 6.2.0
Assigned To: Maciej Swiderski
Karel Suta
:
: 1315636 (view as bug list)
Depends On:
Blocks: 1315767 1315636
  Show dependency treegraph
 
Reported: 2015-11-18 08:01 EST by Maciej Swiderski
Modified: 2016-04-06 22:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Swiderski 2015-11-18 08:01:43 EST
Description of problem:
in case JSON (and JAXB to some extent - when no classes are added to JAXB context such as FlatQueryResults) it will client side will not properly deserialize response to proper object types.

Version-Release number of selected component (if applicable):


How reproducible:
use JSON or JAXB content type and execute rules that involved use of QueryCommand to collect results
KieServerClient must be used as it's responsible for unmarshmaling response to complete object structure starting at ExecutionResultImpl


Steps to Reproduce:
1.
2.
3.

Actual results:
response is partially unmarshalled and query results are unmarshalled to map of maps which is default for JSON unmarshaller when it cannot find proper object type

Expected results:
complete object is produced without map of maps for queries and fact handles

Additional info:
Comment 4 Karel Suta 2015-12-02 10:05:52 EST
Verified in 6.2.0CR2.
Comment 5 Edson Tirelli 2016-04-06 22:07:48 EDT
*** Bug 1315636 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.